## librouteros 2.1.1

=== debian/changelog ===
librouteros (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
  * d/control: Set Maintainer to DPMT.
  * d/control: Bump Standards-Version: no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 12 Sep 2018 02:01:45 +0300

librouteros (2.1.0-1) unstable; urgency=low

  * Initial release (Closes: #902001).

 -- Alexander Gerasiov <gq@debian.org>  Wed, 04 Jul 2018 19:54:14 +0300

## librouteros 3.4.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/librouteros.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/librouteros.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/librouteros"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/librouteros"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## librouteros 2.2.0

=== debian/changelog ===
librouteros (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 02 Dec 2018 16:30:30 +0300

=== debian/control ===
Source: librouteros
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Alexander GQ Gerasiov <gq@debian.org>
Build-Depends: debhelper (>= 11~), dh-python,
 python3-all, python3-setuptools,
 python3-pyasn1
Standards-Version: 4.2.1
Homepage: https://github.com/luqasz/librouteros
Vcs-Git: https://salsa.debian.org/python-team/modules/librouteros.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/librouteros.git

Package: python3-librouteros
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Python implementation of RouterOS API
 It allows one to communicate with Mikrotik's RouterOS powered device to
 gather information, modify settings and do other management tasks.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%librouteros-$1.tar.gz%" \
https://github.com/luqasz/librouteros/releases \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## librouteros 3.0.0

=== debian/changelog ===
librouteros (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0

 -- Alexander Gerasiov <gerasiov@yandex-team.ru>  Sat, 25 Jan 2020 16:27:36 +0300

librouteros (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0

 -- Alexander Gerasiov <gerasiov@yandex-team.ru>  Sun, 06 Oct 2019 08:21:00 +0300

librouteros (2.3.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Fix wrong Vcs-*.

  [ Alexander Gerasiov ]
  * New upstream version 2.3.1

 -- Alexander Gerasiov <gerasiov@yandex-team.ru>  Tue, 17 Sep 2019 12:31:33 +0300

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Alexander GQ Gerasiov <gq@debian.org>
-Build-Depends: debhelper (>= 11~), dh-python,
+Build-Depends: debhelper-compat (= 11), dh-python,
  python3-all, python3-setuptools,
  python3-pyasn1
 Standards-Version: 4.2.1
 Homepage: https://github.com/luqasz/librouteros
 Vcs-Git: https://salsa.debian.org/python-team/modules/librouteros.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/librouteros.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/librouteros
 
 Package: python3-librouteros
 Architecture: all

## librouteros 3.0.1

=== debian/changelog ===
librouteros (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 03 May 2020 18:46:13 +0300

## librouteros 3.1.0

=== debian/changelog ===
librouteros (3.1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 19:17:29 +0100

librouteros (3.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Alexander Gerasiov ]
  * New upstream version 3.1.0

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 07 Jan 2021 17:21:35 +0300

=== debian/control ===
Source: librouteros
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexander GQ Gerasiov <gq@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python,
 python3-all, python3-setuptools,
 python3-pyasn1
Standards-Version: 4.2.1
Homepage: https://github.com/luqasz/librouteros
Vcs-Git: https://salsa.debian.org/python-team/packages/librouteros.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/librouteros

Package: python3-librouteros
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Python implementation of RouterOS API
 It allows one to communicate with Mikrotik's RouterOS powered device to
 gather information, modify settings and do other management tasks.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export PYBUILD_NAME = librouteros

%:
	dh $@ --with python3 --buildsystem=pybuild

## librouteros 3.2.1

=== debian/changelog ===
librouteros (3.2.1-1) unstable; urgency=medium

  * d/watch: Update watchfile.
  * New upstream version 3.2.1
  * d/control: Switch to pyproject.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sat, 24 Aug 2024 20:28:51 +0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Alexander GQ Gerasiov <gq@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python,
- python3-all, python3-setuptools,
- python3-pyasn1
+Build-Depends: debhelper-compat (= 13), dh-python, pybuild-plugin-pyproject,
+ python3-all, python3-pyasn1,
 Standards-Version: 4.2.1
 Homepage: https://github.com/luqasz/librouteros
 Vcs-Git: https://salsa.debian.org/python-team/packages/librouteros.git

## librouteros 3.4.1

=== debian/changelog ===
librouteros (3.4.1-2) unstable; urgency=medium

  * Team Upload
  * Patch-out generation of python3-toml dependency

 -- Alexandre Detiste <tchet@debian.org>  Sun, 27 Jul 2025 13:57:41 +0200

librouteros (3.4.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 3.4.1
  * Build with python3-poetry-core (Closes: #1080656)
  * Enable most tests

 -- Alexandre Detiste <tchet@debian.org>  Thu, 06 Feb 2025 23:17:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,17 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Alexander GQ Gerasiov <gq@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, pybuild-plugin-pyproject,
- python3-all, python3-pyasn1,
-Standards-Version: 4.2.1
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-poetry-core,
+ python3-pyasn1,
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/luqasz/librouteros
 Vcs-Git: https://salsa.debian.org/python-team/packages/librouteros.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/librouteros

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export PYBUILD_NAME = librouteros
export PYBUILD_TEST_ARGS = -k 'not test_login \
                           and not test_login_async \
                           and not test_query \
                           and not test_query_async \
                           and not test_query_In_operator \
                           and not test_long_word \
                           and not test_long_word_async \
                           and not test_generator_ditch \
                           and not test_generator_ditch_async \
                           and not test_add_then_remove \
                           and not test_add_then_remove_async \
                           and not test_add_then_update \
                           and not test_add_then_update_async \
                                 '

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/luqasz/librouteros/tags .*/v?(\d.*)@ARCHIVE_EXT@
